<xsl:stylesheet 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
    <head style="font-family:areal"><b><u>TIME SERIES CONFIRMATION REPORT</u></b></head>
      <body style="font-family:areal; color:black; background:lightblue; text-align:center">
        <h2><table border="1"  width="100%" align="center">
          	<tr >
	            	<th><b>Message Identification</b></th>
            		<th><b>Date and Time</b></th>
              	<th><b>Message Type</b></th>
	            	<th><b>Confirmed message Identification</b></th>
	            	<th><b>Confirmed message version</b></th>
	            	<th>Domain</th>
	            	<th>SubjectParty</th>
	            	<th>SubjectRole</th>
	            	<th>ProcessType</th>
        	</tr>
              <td align="center"><xsl:value-of select="ConfirmationReport/MessageIdentification/@v"/></td>
               <td align="center"><xsl:value-of select="ConfirmationReport/MessageDateTime/@v"/></td>
			<td align="center"> 
			<xsl:choose>
		 <xsl:when test="ConfirmationReport/MessageType[@v='A07']">Intermediate confirmation report
             </xsl:when> 
		<xsl:when test="ConfirmationReport/MessageType[@v='A08']">
               Final confirmation report
             </xsl:when> 
		<xsl:otherwise>
			<font color="red"><b>INVALID MESSAGE TYPE = </b> <xsl:value-of select="ConfirmationReport/MessageType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 
</td>
              <td align="center"><xsl:value-of select="ConfirmationReport/ConfirmedMessageIdentification/@v"/></td>
              <td align="center"><xsl:value-of select="ConfirmationReport/ConfirmedMessageVersion/@v"/></td>
              <td align="center"><xsl:value-of select="ConfirmationReport/Domain/@v"/></td>
              <td align="center"><xsl:value-of select="ConfirmationReport/SubjectParty/@v"/></td>
              <td align="center">              <xsl:choose>
		 <xsl:when test="ConfirmationReport/SubjectRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="ConfirmationReport/SubjectRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="ConfirmationReport/SubjectRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ScheduleMessage/SubjectRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
</td>
              <td align="center">
              <xsl:choose>
		 <xsl:when test="ConfirmationReport/ProcessType[@v='A01']">DAY AHEAD</xsl:when> 
		<xsl:when test="ConfirmationReport/ProcessType[@v='A02']">INTRA-DAY</xsl:when>
		<xsl:when test="ConfirmationReport/ProcessType[@v='A03']">INTER AREA TRANSIT</xsl:when>
		<xsl:otherwise>	<font color="red"><b>INVALID PROCESS TYPE = </b> <xsl:value-of select="ConfirmationReport/ProcessType/@v"/></font>
		</xsl:otherwise>
           </xsl:choose> 

</td>
		</table>
        </h2>
	
        <table border="1" width="100%" align="center">
          	<tr >
	            	<th width="20%">Sender</th>
			<th width="10%">Role</th>
            		<th width="20%">Receiver</th>
			<th width="10%">Role</th>
           		 <th width="40%">Schedule Start and End Date</th>
          	</tr>
          <tr>
            	<td align="center"><xsl:value-of select="ConfirmationReport/SenderIdentification/@v"/></td>
            	<td align="center">
           <xsl:choose>
		 <xsl:when test="ConfirmationReport/SenderRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="ConfirmationReport/SenderRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="ConfirmationReport/SenderRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ConfirmationReport/SenderRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose> 
            </td>
		<td align="center"><xsl:value-of select="ConfirmationReport/ReceiverIdentification/@v"/></td>
            <td align="center">
           <xsl:choose>
		 <xsl:when test="ConfirmationReport/ReceiverRole[@v='A01']">TRP </xsl:when> 
	 	<xsl:when test="ConfirmationReport/ReceiverRole[@v='A02']">CRP</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A03']">CPE</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A04']">SO</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A05']">ISR</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A06']">PRP</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A07']">TCA</xsl:when>
 		<xsl:when test="ConfirmationReport/ReceiverRole[@v='A08']">RS</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ConfirmationReport/ReceiverRole/@v"/></b></font>
		</xsl:otherwise>
           </xsl:choose>
		</td>
            <td align="center"><xsl:value-of select="ConfirmationReport/ScheduleTimeInterval/@v"/></td>
          </tr>
        </table> 
	  <br/> 

 <xsl:apply-templates select="ConfirmationReport/Reason" />

 <font color="red"><p><b>TIME SERIES CONFIRMED, MODIFIED or REJECTED</b></p></font>
 <xsl:apply-templates select="ConfirmationReport/TimeSeriesConfirmation" />

 <font color="red"><p><b>IMPOSED TIME SERIES</b></p></font>
 <xsl:apply-templates select="ConfirmationReport/ImposedTimeSeries" />
   </body>
  </html>
</xsl:template>

<xsl:template match="TimeSeriesConfirmation">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th>TS Id.</th>
      <th>Ver.</th>
	<th>Type</th>
	<th>Product</th>
	<th>Aggr.</th>
        <th>Meter</th>
      <th>Contract type</th>
      <th>Unit</th>
      <th>Area (In/out)</th>
      <th>Party (In/out)</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="SendersTimeSeriesIdentification/@v"/>
 </td><td align="center" style="font-size=8pt">
      <xsl:value-of select="SendersTimeSeriesVersion/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="BusinessType[@v='A01']">
		PROD
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A02']">
		INT
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A03']">
		EXT
		</xsl:when>
		<xsl:when test="BusinessType[@v='A04']">
		CONS
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="BusinessType/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		 <xsl:when test="Product[@v='8716867000016']">
               Active Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000023']">
               Reactive Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000030']">
               Active Energy
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000047']">
               Reactive Energy
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="Product/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		<xsl:when test="ObjectAggregation[@v='A01']">
		AREA
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A02']">
		MP
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A03']">
		M-MP
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ObjectAggregation/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose>
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="MeteringPointIdentification/@v"/>
</td>

 <td align="center" style="font-size=8pt">
<xsl:choose>
<xsl:when test="CapacityContractType[@v='A01']">
              Daily Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A02']">
               Weekly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A03']">
              Monthly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A04']">
               Yearly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A05']">
               Total Auction
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="CapacityContractType/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td><td align="center" style="font-size=8pt">
<xsl:choose>
		<xsl:when test="MeasurementUnit[@v='MAW']">MW </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MWH']">MWH </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAH']">MWr </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAR']">MWHr</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="MeasurementUnit/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td>
 <td align="center" style="font-size=8pt">
<xsl:value-of select="InArea/@v"/><xsl:text>  </xsl:text> 
<xsl:value-of select="OutArea/@v"/>
</td>

<td align="center" style="font-size=8pt">
<xsl:value-of select="InParty/@v"/> <xsl:text>   </xsl:text>
<xsl:value-of select="OutParty/@v"/>
</td>
</table>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Period Begin and End Date/Time</th>
<th width="25%">Resolution</th>
</tr>
</table>
 <xsl:apply-templates select="ConfirmationReport/TimeSeriesConfirmation/Reason" />
<xsl:apply-templates  select="*"/>

</xsl:template> 		 

<xsl:template match="ImposedTimeSeries">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th>TS Id.</th>
      <th>Ver.</th>
	<th>Type</th>
	<th>Product</th>
	<th>Aggr.</th>
        <th>Meter</th>
      <th>Contract type</th>
      <th>Unit</th>
      <th>Area (In/out)</th>
      <th>Party (In/out)</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="yellow">
<xsl:value-of  select="ImposedTimeSeriesIdentification/@v"/>
 </td><td align="center" style="font-size=8pt">
      <xsl:value-of select="ImposedTimeSeriesVersion/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="BusinessType[@v='A01']">
		PROD
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A02']">
		INT
		</xsl:when>
 		<xsl:when test="BusinessType[@v='A03']">
		EXT
		</xsl:when>
		<xsl:when test="BusinessType[@v='A04']">
		CONS
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="BusinessType/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		 <xsl:when test="Product[@v='8716867000016']">
               Active Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000023']">
               Reactive Power
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000030']">
               Active Energy
	       </xsl:when>
		 <xsl:when test="Product[@v='8716867000047']">
               Reactive Energy
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="Product/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td> <td align="center" style="font-size=8pt">
	<xsl:choose>
		<xsl:when test="ObjectAggregation[@v='A01']">
		AREA
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A02']">
		MP
		</xsl:when>
		<xsl:when test="ObjectAggregation[@v='A03']">
		M-MP
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="ObjectAggregation/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose>
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="MeteringPointIdentification/@v"/>
</td>

 <td align="center" style="font-size=8pt">
<xsl:choose>
<xsl:when test="CapacityContractType[@v='A01']">
              Daily Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A02']">
               Weekly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A03']">
              Monthly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A04']">
               Yearly Auction
	       </xsl:when>
		 <xsl:when test="CapacityContractType[@v='A05']">
               Total Auction
	       </xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="CapacityContractType/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td><td align="center" style="font-size=8pt">
<xsl:choose>
		<xsl:when test="MeasurementUnit[@v='MAW']">MW </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MWH']">MWH </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAH']">MWr </xsl:when>
		<xsl:when test="MeasurementUnit[@v='MAR']">MWHr</xsl:when>
		<xsl:otherwise>
			<font color="red"><b> ERROR <xsl:value-of select="MeasurementUnit/@v"/></b></font>
		</xsl:otherwise>
         </xsl:choose> 
</td>
 <td align="center" style="font-size=8pt">
<xsl:value-of select="InArea/@v"/><xsl:text>  </xsl:text>      
<xsl:value-of select="OutArea/@v"/>
</td>

<td align="center" style="font-size=8pt">
<xsl:value-of select="InParty/@v"/><xsl:text>  </xsl:text>
<xsl:value-of select="OutParty/@v"/>
</td>
</table>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Period Begin and End Date/Time</th>
<th width="25%">Resolution</th>
</tr>
</table>

 <xsl:apply-templates select="ConfirmationReport/ImposedTimeSeries/Reason" />
<xsl:apply-templates  select="*"/>

</xsl:template> 		 

<xsl:template match="Period">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="TimeInterval/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Resolution/@v"/></td>
</tr>
<table border="1" width="100%" align="center">
<tr>
<th width="25%">Position</th>
<th width="25%">Quantity</th>
</tr>
</table>
<xsl:apply-templates  select="*"/>
</table>
</xsl:template>


<xsl:template match="Interval">
<table border="1" width="100%" align="center">
<tr>
<td align="center" width="25%"><xsl:value-of select="Pos/@v"/></td>
<td align="center" width="25%"><xsl:value-of select="Qty/@v"/></td>
</tr>
</table>
 <xsl:apply-templates select="ConfirmationReport/TimeSeriesConfirmation/Period/Interval/Reason" />
<xsl:apply-templates  select="*"/>
</xsl:template>

<xsl:template match="Reason">
<table  border="1" width="100%" cellpadding="5">
    <tr >
      <th bgcolor="red">Reason Code</th>
      <th>Reason Title</th>
	<th>Reason Text</th>
   </tr>
 <td align="center" style="font-size=8pt" bgcolor="red">
<xsl:value-of  select="ReasonCode/@v"/>
 </td><td align="center" style="font-size=8pt">
      	<xsl:choose>
		<xsl:when test="ReasonCode[@v='A06']">
		Schedule global position accepted
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A07']">
		Schedule global position partially accepted
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A08']">
		Schedule global position rejected
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A20']">
		Time series fully rejected
		</xsl:when>
 		<xsl:when test="ReasonCode[@v='A26']">
		Default time series applied
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A30']">
		Imposed time series from nominated partys time series
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A43']">
		Quantity increased
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A44']">
		Quantity decreased
		</xsl:when>
		<xsl:when test="ReasonCode[@v='A45']">
		Default quantity applied
		</xsl:when>
		<xsl:otherwise>
			<font color="red"><b>Unknown reason code  <xsl:value-of select="ReasonCode/@v"/></b></font>
		</xsl:otherwise>
	</xsl:choose> 
</td> 

<td align="center" style="font-size=8pt">
      <xsl:value-of select="ReasonText/@v"/>
</td>
</table>
</xsl:template> 		 

</xsl:stylesheet>
